package test;

/**
 * 
 * @author sbi
 *
 */
public interface PixelsEncoder
{
   /**
    * Encode the rectangular area on the screen to transfer
    * @param screen virtual screen with the defined color model
    * @param x is a position of the left side of the target rectangle along the screen horizon
    * @param y is a position of the upper side of the target rectangle along the screen's vertical
    * @param w is a width of the target rectangular area
    * @param h is a height of the target rectangular area
    * @return
    */
   byte[] packToBinaries(VirtualScreen screen, int x, int y, int w, int h);
}
