package test;

import java.awt.Image;
import java.awt.image.DirectColorModel;

public interface VirtualScreen
{
   /**
    * 
    * @return pixels int[] RGBA model
    */
   int[] getPixels();
   /**
    * 
    * @return width
    */
   int getWidth();
   /**
    * 
    * @return height
    */
   int getHeight();
   /**
    * 
    * @return color model
    */
   DirectColorModel getColorModel();
   /**
    * 
    * @param image
    * @return unique bytes as unique image identification
    */
   byte[] drawImage(Image image, int x, int y);
}
